Name:           nyquist
Version:        3.08
Release:        2%{?dist}
Summary:        Sound synthesis and composition language with a Lisp syntax

Group:          Applications/Multimedia
License:        BSD
URL:            http://www-2.cs.cmu.edu/~music/music.software.html
Source0:        http://www-2.cs.cmu.edu/~music/nyquist/nyqsrc308.zip
Source1:        Makefile
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  alsa-lib-devel
BuildRequires:  liblo-devel
BuildRequires:  portaudio-devel
BuildRequires:	libsndfile-devel, libogg-devel, flac-devel, libvorbis-devel
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  dos2unix
Requires:       java >= 1:1.6.0

%description
Nyquist is a language for sound synthesis and music
composition. Unlike score languages that tend to deal only with
events, or signal processing languages that tend to deal only with
signals and synthesis, Nyquist handles both in a single integrated
system. Nyquist is also flexible and easy to use because it is based
on an interactive Lisp interpreter.


%prep
%setup -q -n nyquist
cp %{SOURCE1} .

# remove cvs cruft
find -name CVS | xargs rm -fr
# add opt flags
sed -i "s|^CFLAGS =|CFLAGS = $RPM_OPT_FLAGS |" misc/Makefile
# remove dos paths that cause warnings
sed -i 's|(setdir ".:.*")||' runtime/fileio.lsp
# fix some permission
find -name "*.lsp" | xargs chmod 0644
sed -i 's|"./ny"|"ny"|' jnyqide/NyquistThread.java
# change end-of-line
find -name "*.htm*" \
    -or -name "*.lsp" \
    -or -name "*.txt" \
    -or -name "*.ny" \
    -or -name "*.dat" -exec dos2unix -q '{}' \;

%build
rm -f runtime/system.lsp
make %{?_smp_mflags} OPT="$RPM_OPT_FLAGS" -f Makefile


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/nyquist
mkdir -p $RPM_BUILD_ROOT%{_datadir}/nyquist/java
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}

cp -pr runtime $RPM_BUILD_ROOT%{_datadir}/nyquist
cp -pr lib $RPM_BUILD_ROOT%{_datadir}/nyquist
cp -pr demos $RPM_BUILD_ROOT%{_datadir}/nyquist
cp -p ny $RPM_BUILD_ROOT%{_libexecdir}
cp -p jnyqide/jNyqIDE.jar $RPM_BUILD_ROOT%{_datadir}/nyquist/java


cat > $RPM_BUILD_ROOT%{_bindir}/ny <<EOF
#!/bin/sh
export XLISPPATH=%{_datadir}/nyquist/runtime:%{_datadir}/nyquist/lib
exec %{_libexecdir}/ny \$*
EOF
chmod 0755 $RPM_BUILD_ROOT%{_bindir}/ny

cat > $RPM_BUILD_ROOT%{_bindir}/jny <<EOF
#!/bin/sh
export XLISPPATH=%{_datadir}/nyquist/runtime:%{_datadir}/nyquist/lib
exec java -jar %{_datadir}/nyquist/java/jNyqIDE.jar \$*
EOF
chmod 0755 $RPM_BUILD_ROOT%{_bindir}/jny


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Readme.txt license.txt advantages.txt files.txt todo.txt
%doc doc
%{_bindir}/ny
%{_bindir}/jny
%{_libexecdir}/ny
%{_datadir}/nyquist


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.08-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 28 2013 Tom Callaway <spot@fedoraproject.org> - 3.08-1
- update to 3.08

* Wed Mar 13 2013 Mat Booth <fedora@matbooth.co.uk> - 3.04-7b
- Fix FTBFS rhbz #914223

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.04-6b.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.04-5b.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 09 2012 Deepak Bhole <dbhole@redhat.com> - 3.04-4b.1
- Resolves: rhbz#796226
- Removed OpenJDK6 specific requirement

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.04-4b
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.04-3b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.04-2b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb  6 2011 Gérard Milmeister <gemi@bluewin.ch> - 3.04-1b
- new release 3.04b

* Tue Jul 20 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 3.03-4
- Rebuild against new liblo-0.26

* Sat Aug  8 2009 Gerard Milmeister <gemi@bluewin.ch> - 3.03-1
- new release 3.03
- use system portaudio and liblo

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Gerard Milmeister <gemi@bluewin.ch> - 3.02-1
- new release 3.02

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.01-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jul  7 2008 Gerard Milmeister <gemi@bluewin.ch> - 3.01-1
- new release 3.01

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.37-2
- Autorebuild for GCC 4.3

* Sun Dec 16 2007 Gerard Milmeister <gemi@bluewin.ch> - 2.37-1
- new release 2.37

* Sun Mar 25 2007 Gerard Milmeister <gemi@bluewin.ch> - 2.36-1
- new version 2.36

* Thu Jan 25 2007 Gerard Milmeister <gemi@bluewin.ch> - 2.33-1
- new version 2.33

* Sun Jan  7 2007 Gerard Milmeister <gemi@bluewin.ch> - 2.32-1
- new version 2.32

* Thu Nov  2 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.31-3
- added patch for portaudio bug

* Thu Feb  2 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.31-2
- new version 2.31

* Sat Mar 26 2005 Gerard Milmeister <gemi@bluewin.ch> - 2.30-1
- First Fedora release
